List Info

Thread: Welcoming HLFS back into the fold




Welcoming HLFS back into the fold
country flaguser name
United States
2007-03-27 22:09:20
Manuel,

Robert Connolly has announced HLFS/glibc will now build
successfully.
This means we must do some housekeeping so jhalfs will
handle it.

I have made a few changes but there are a few issues that
are best
suited to your talents.

Chapter 6.12 Butterfly Toolchain
    There are a series of tests which validate the
toolchain. These
programs return a 'failure status' if the toolchain is
working properly
and cause jhalfs to abort. To keep jhalfs running we will
have to turn
off error trapping or do some work with xsl.

    The following seems to do the trick

   ./fortify_test || true; echo $?

   ./ssp-test || true; echo $?


Chapter 6.22 Ncurses-5.6
    Please wrap the cmd  ./test/tclock in a nodump as this
test is
interactive.



-- 
http://linuxfromscratch.org/mailman/listinfo/alfs-discu
ss
FAQ: http://www.linux
fromscratch.org/faq/
Unsubscribe: See the above information page

Re: Welcoming HLFS back into the fold
country flaguser name
Spain
2007-03-28 12:17:11
El Miércoles, 28 de Marzo de 2007 05:09, George Boudreau
escribió:
> Manuel,
>
> Robert Connolly has announced HLFS/glibc will now build
successfully.
> This means we must do some housekeeping so jhalfs will
handle it.

Thanks for handling that. I'm very busy now with the XSL
rework.

Remember to update README.HLFS as needed, please.

> I have made a few changes but there are a few issues
that are best
> suited to your talents.
>
> Chapter 6.12 Butterfly Toolchain
>     There are a series of tests which validate the
toolchain. These
> programs return a 'failure status' if the toolchain is
working properly
> and cause jhalfs to abort. To keep jhalfs running we
will have to turn
> off error trapping or do some work with xsl.
>
>     The following seems to do the trick
>
>    ./fortify_test || true; echo $?
>
>    ./ssp-test || true; echo $?

Maybe we should bomb jhalfs if thats test don't return a
failure status

> Chapter 6.22 Ncurses-5.6
>     Please wrap the cmd  ./test/tclock in a nodump as
this test is
> interactive.

Ok, I will do that in few minutes.

-- 
Manuel Canales Esparcia
Usuario de LFS nº2886:       http://www.linuxfroms
cratch.org
LFS en castellano: http://www.escomp
oslinux.org/lfs-es http://www.lfs-es.info
TLDP-ES:                           http://es.tldp.org
-- 
http://linuxfromscratch.org/mailman/listinfo/alfs-discu
ss
FAQ: http://www.linux
fromscratch.org/faq/
Unsubscribe: See the above information page

Re: Welcoming HLFS back into the fold
user name
2007-03-28 13:42:21
On 3/28/07, M.Canales.es <macanamacana-es.com> wrote:
> >
> > Chapter 6.12 Butterfly Toolchain
> >     There are a series of tests which validate the
toolchain. These
> > programs return a 'failure status' if the
toolchain is working properly
> > and cause jhalfs to abort. To keep jhalfs running
we will have to turn
> > off error trapping or do some work with xsl.
> >
> >     The following seems to do the trick
> >
> >    ./fortify_test || true; echo $?
> >
> >    ./ssp-test || true; echo $?
>
> Maybe we should bomb jhalfs if thats test don't return
a failure status

I just put this in the other thread, but just put ! at the
beginning
if you know failure means success.

$ ! ./fortify_test; echo $?

[11:36 AM danconor] cat > fail.sh <<
"EOF"
#!/bin/bash
exit 1
EOF
[11:41 AM danconor] chmod +x fail.sh
[11:41 AM danconor] ./fail.sh ; echo $?
1
[11:41 AM danconor] ! ./fail.sh ; echo $?
0
--
Dan
-- 
http://linuxfromscratch.org/mailman/listinfo/alfs-discu
ss
FAQ: http://www.linux
fromscratch.org/faq/
Unsubscribe: See the above information page

Re: Welcoming HLFS back into the fold
country flaguser name
Spain
2007-03-28 13:49:38
El Miércoles, 28 de Marzo de 2007 20:42, Dan Nicholson
escribió:

> I just put this in the other thread, but just put ! at
the beginning
> if you know failure means success.
>
> $ ! ./fortify_test; echo $?

Thanks for the trick. Working on the XSL code add the ! .

-- 
Manuel Canales Esparcia
Usuario de LFS nº2886:       http://www.linuxfroms
cratch.org
LFS en castellano: http://www.escomp
oslinux.org/lfs-es http://www.lfs-es.info
TLDP-ES:                           http://es.tldp.org
-- 
http://linuxfromscratch.org/mailman/listinfo/alfs-discu
ss
FAQ: http://www.linux
fromscratch.org/faq/
Unsubscribe: See the above information page

Re: Welcoming HLFS back into the fold
user name
2007-03-28 13:58:36
On 3/28/07, M.Canales.es <macanamacana-es.com> wrote:
> El Miércoles, 28 de Marzo de 2007 20:42, Dan Nicholson
escribió:
>
> > I just put this in the other thread, but just put
! at the beginning
> > if you know failure means success.
> >
> > $ ! ./fortify_test; echo $?
>
> Thanks for the trick. Working on the XSL code add the !
.

Ideally, this would go back to Robert and into HLFS, or
something else
that makes the commands be successful. IMO, it's bad form to
have
commands that are known to fail. Even if you're not
scripting, a wise
person will ensure that commands are returning
successfully.

--
Dab
-- 
http://linuxfromscratch.org/mailman/listinfo/alfs-discu
ss
FAQ: http://www.linux
fromscratch.org/faq/
Unsubscribe: See the above information page

Re: Welcoming HLFS back into the fold
country flaguser name
Spain
2007-03-28 14:13:02
El Miércoles, 28 de Marzo de 2007 20:58, Dan Nicholson
escribió:

> Ideally, this would go back to Robert and into HLFS, or
something else
> that makes the commands be successful. IMO, it's bad
form to have
> commands that are known to fail. Even if you're not
scripting, a wise
> person will ensure that commands are returning
successfully.

The book explanations says that it must fail and show the
output errors 
generated.

Thats wy the book add "echo $?" after the command
run, to be sure that the 
return status is not "0".

In jhalfs we could live with a "0" in the logs
while the actual errors are 
still logged.

-- 
Manuel Canales Esparcia
Usuario de LFS nº2886:       http://www.linuxfroms
cratch.org
LFS en castellano: http://www.escomp
oslinux.org/lfs-es http://www.lfs-es.info
TLDP-ES:                           http://es.tldp.org
-- 
http://linuxfromscratch.org/mailman/listinfo/alfs-discu
ss
FAQ: http://www.linux
fromscratch.org/faq/
Unsubscribe: See the above information page

Re: Welcoming HLFS back into the fold
country flaguser name
Spain
2007-03-28 14:19:08
El Miércoles, 28 de Marzo de 2007 05:09, George Boudreau
escribió:

> I have made a few changes but there are a few issues
that are best
> suited to your talents.

Both should be fixed now.

Can you test it?

-- 
Manuel Canales Esparcia
Usuario de LFS nº2886:       http://www.linuxfroms
cratch.org
LFS en castellano: http://www.escomp
oslinux.org/lfs-es http://www.lfs-es.info
TLDP-ES:                           http://es.tldp.org
-- 
http://linuxfromscratch.org/mailman/listinfo/alfs-discu
ss
FAQ: http://www.linux
fromscratch.org/faq/
Unsubscribe: See the above information page

Re: Welcoming HLFS back into the fold
user name
2007-03-28 14:25:24
On 3/28/07, M.Canales.es <macanamacana-es.com> wrote:
> El Miércoles, 28 de Marzo de 2007 20:58, Dan Nicholson
escribió:
>
> > Ideally, this would go back to Robert and into
HLFS, or something else
> > that makes the commands be successful. IMO, it's
bad form to have
> > commands that are known to fail. Even if you're
not scripting, a wise
> > person will ensure that commands are returning
successfully.
>
> The book explanations says that it must fail and show
the output errors
> generated.
>
> Thats wy the book add "echo $?" after the
command run, to be sure that the
> return status is not "0".

In that case, if the rest is really to see that the return
code is
some non-0 value, then that's what it should test.

$ ./ssp_test || echo $? | grep 134

That command will return successfully if it fails the way
Robert has
explained it. It will still show the "smashing"
output, too, since it
goes to stderr. Here's an example:

$ barf || echo $? | grep 127
-bash: barf: command not found
127
$ echo $?
0

--
Dan
-- 
http://linuxfromscratch.org/mailman/listinfo/alfs-discu
ss
FAQ: http://www.linux
fromscratch.org/faq/
Unsubscribe: See the above information page

Re: Welcoming HLFS back into the fold
country flaguser name
United States
2007-03-28 14:44:58
M.Canales.es wrote:
> El Miércoles, 28 de Marzo de 2007 05:09, George
Boudreau escribió:
> 
>> I have made a few changes but there are a few
issues that are best
>> suited to your talents.
> 
> Both should be fixed now.
> 
> Can you test it?
   I have started a HLFS build, a very slow build.
> 

-- 
http://linuxfromscratch.org/mailman/listinfo/alfs-discu
ss
FAQ: http://www.linux
fromscratch.org/faq/
Unsubscribe: See the above information page

Re: Welcoming HLFS back into the fold
country flaguser name
United States
2007-03-28 22:23:02
M.Canales.es wrote:
> El Miércoles, 28 de Marzo de 2007 05:09, George
Boudreau escribió:
> 
>> I have made a few changes but there are a few
issues that are best
>> suited to your talents.
> 
> Both should be fixed now.
> 
> Can you test it?
> 
  Two HLFS book issues needed to be hand corrected. The
build ran to 
completion with no interventions.

  NOTE:The toolchain testing traces do not end up in the
build log. 
-- 
http://linuxfromscratch.org/mailman/listinfo/alfs-discu
ss
FAQ: http://www.linux
fromscratch.org/faq/
Unsubscribe: See the above information page

[1-10]

about | contact  Other archives ( Real Estate discussion Medical topics )